<template>
  <nut-action-sheet
    v-model:visible="visible"
    class="choose-action-sheet"
    :title="title"
    v-bind="$attrs"
  >
    <AreaTreeSelect v-model="model" :multiple="multiple" @close="visible = false" :max="max" />
  </nut-action-sheet>
</template>

<script setup lang="ts">
import AreaTreeSelect from '../AreaTreeSelect/AreaTreeSelect.vue';

defineOptions({
  name: 'ChooseAreaActionSheet',
});

type Props = {
  title?: string;
  multiple?: boolean;
  max?: number;
};

const props = withDefaults(defineProps<Props>(), {
  title: '请选择地区',
  multiple: true,
});

const model = defineModel<number[]>();
const visible = defineModel<boolean>('visible');
</script>

<style lang="scss">
@import '@/styles/common.scss';
</style>
